View Bug Details

IDProjectCategoryView StatusLast Update
0002029DCP-o-maticBugspublic2021-06-02 00:45
Reportercarl Assigned Tocarl  
PriorityimmediateSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Target Version2.16.0 
Summary0002029: CompositionMetadataAsset gets a different ID when combining DCPs
Description

[]

TagsNo tags attached.
Branch
Estimated weeks required
Estimated work requiredUndecided

Activities

carl

2021-06-01 23:35

administrator   ~0004430

Fixed by cpl-metadata-id branch of libdcp, but the addition of a make_uuid() breaks all the tests, and that really needs fixing first.

carl

2021-06-02 00:06

administrator   ~0004431

Although maybe that's kind of expected if you put a make_uuid() into CPL.

carl

2021-06-02 00:45

administrator   ~0004432

fc00f4d30f4b798dd21964d1e9931b94c09f5c06

Bug History

Date Modified Username Field Change
2021-05-30 20:01 carl New Bug
2021-05-30 20:01 carl Assigned To => carl
2021-05-30 20:01 carl Status new => acknowledged
2021-06-01 22:17 carl Summary CompositionMetadataAsset gets a different ID when comining DCPs => CompositionMetadataAsset gets a different ID when combining DCPs
2021-06-01 22:17 carl Estimated work required => Undecided
2021-06-01 23:35 carl Note Added: 0004430
2021-06-01 23:36 carl Status acknowledged => confirmed
2021-06-01 23:36 carl Reproducibility have not tried => always
2021-06-02 00:06 carl Note Added: 0004431
2021-06-02 00:45 carl Status confirmed => resolved
2021-06-02 00:45 carl Resolution open => fixed
2021-06-02 00:45 carl Note Added: 0004432